<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: TCoord Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structTCoord-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">TCoord Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Coordinates, row and col.  
 <a href="structTCoord.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="coords_8h_source.html">coords.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab85dd028d47acba86688c6a23906ed9b"><td class="memItemLeft" align="right" valign="top"><a id="ab85dd028d47acba86688c6a23906ed9b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TCoord</b> (int x, int y)</td></tr>
<tr class="separator:ab85dd028d47acba86688c6a23906ed9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31fcdc568f37ecb7f5b634bba7dd0a22"><td class="memItemLeft" align="right" valign="top"><a id="a31fcdc568f37ecb7f5b634bba7dd0a22"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="structTCoord.html">TCoord</a> &amp;b) const</td></tr>
<tr class="separator:a31fcdc568f37ecb7f5b634bba7dd0a22"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a64363834153192dfda0b701283f18301"><td class="memItemLeft" align="right" valign="top"><a id="a64363834153192dfda0b701283f18301"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>t_row</b></td></tr>
<tr class="separator:a64363834153192dfda0b701283f18301"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9672893eae776b55e3558dcd4ad1d2cd"><td class="memItemLeft" align="right" valign="top"><a id="a9672893eae776b55e3558dcd4ad1d2cd"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>t_col</b></td></tr>
<tr class="separator:a9672893eae776b55e3558dcd4ad1d2cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Coordinates, row and col. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="coords_8h_source.html">coords.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
